which distribution and DAW hardware?

12 replies [Last post]
stripes
stripes's picture
User offline. Last seen 4 years 17 weeks ago. Offline
Joined: 2009-07-09
Posts:

Hi,
I am a german musician, I want to record with Linux.
I have install Studio Ubuntu, but the rc-kernel making problems.
The system refreezing after some minutes.

Is there any audio Distribution without the rc-kernel?

But the real problem is the interface, I'm just about to buy a Saffire LE http://www.focusrite.com/products/saffire/saffire_le/ .
There is the FFADO projekt, the Saffire LE work.
But my question: I got a problem with the onbord ALSA chip. He grumble. (is this the right word?^^)
Can I disable the ALSA driver completely?

I need only Jack and FFADO?

(sorry for my bad english^^)

rozea
User offline. Last seen 16 weeks 4 days ago. Offline
Joined: 2008-09-23
Posts:

Try 64studio 3, there kernel is better

Scary-Hallo
Scary-Hallo's picture
User offline. Last seen 31 weeks 23 hours ago. Offline
Joined: 2009-02-13
Posts:

Hello stripes,
I had the same problems with ubuntu studio 9.04. that's why I still use ubuntu studio 8.04 and compile the programms myself to have the actual versions. When I find some time, I gonna change to studio64.
To your case. I would disable the onbord sound chip. But be carefull - ALSA is the name of the audio driver that jack needs. I would not disable ALSA

stripes
stripes's picture
User offline. Last seen 4 years 17 weeks ago. Offline
Joined: 2009-07-09
Posts:

I've just seen the "rc-kernel" I have written, it must of course rt hot.
I have viewed studio64, but ffado and studio64 2.1 make problems: http://www.64studio.com/node/586
studio64 3.0 is a beta, a good idea to install this?
How can I disable the onbord sound chip?

And the Saffire LE is a good interface?

peder
User offline. Last seen 49 weeks 3 days ago. Offline
Joined: 2007-05-08
Posts:

In the linux world most programs are in a perpetual beta so don't be too afraid to install the 3.0 beta.

You could also try AVLinux : http://www.bandshed.net/AVLinux.html
Version 2.1 will be out more or less as soon as Ardout 2.8.1 is released

You should be able to deactivate your onboard chip by going into BIOS and turning it off.
If you can't do that you should be to blacklist the module for that chip:
In Ubuntu you open a terminal and type 'lsmod | grep snd' and see what sound modules are loaded (in my case snd_ac97_codec) and then run 'sudo gedit /etc/modprobe.d/blacklist.conf ' and add 'blacklist snd_ac97_codec' (in my case) to the file. Reboot and the driver shouldn't be loaded.

Scary-Hallo
Scary-Hallo's picture
User offline. Last seen 31 weeks 23 hours ago. Offline
Joined: 2009-02-13
Posts:

Sorry stripes,

I just read (http://www.lieber-linux.de/2009/02/www-ffado-org-website-down/) that FFADO is an ALSA replacement for firewire devices. So maybe you should disable it.

allank
allank's picture
User offline. Last seen 6 weeks 2 days ago. Offline
Joined: 2006-12-07
Posts:

I use a Saffire Pro 10 IO for audio (using FFADO) in conjunction with 4 USB MIDI devices running under ALSA... FFADO and ALSA are sociable but you can only use one for audio at a time but with a2jmidi you can use both for MIDI. BTW I am able to run my saffire at 32 periods with 3 buffers at 48 khz.. (2msec roundtrip latency).. this is better than I was getting with a delta PCI card under ALSA...

To use the Saffire LE you MUST HAVE FFADO, and I recommend using the latest testing version or even the SVN version, along with the newest version of Jack. I recommend that you compile your own. Distribution is probably not so relevant, especially if you compile your own kernel.

stripes
stripes's picture
User offline. Last seen 4 years 17 weeks ago. Offline
Joined: 2009-07-09
Posts:

I can't compile my own kernel^^
I have install 64 studio 3.0, it works fine but ffado is not available in the packages.
Question: 64 studio is debian or?
Can you help me compile ffado?
Did I need the interface bevore?

I can't disable my onbord sound chip in the bios, but I try to disable the sound modules like peder.

allank
allank's picture
User offline. Last seen 6 weeks 2 days ago. Offline
Joined: 2006-12-07
Posts:

I'm at work so must be quick... (Apologies if I sound rude)

64 studio and ubuntu are both debian..
It's possible the package for debian may work or it may not.
The instructions for compiling from SVN for Ubuntu are here - http://ffado.org/?q=node/163
You need to install SVN package first.

I don't understand the following question "Did I need the interface bevore?"
Assuming bevore is a typo for before.. I don't know which interface you are referring to, and before what?

I highly recommend that if you are new to linux then you should probably try AVLlinux as per Peder's suggestio as to my understanding everything you need should already be installed (including ffado).. (I will actually install it myself soon.. but I like cutting my own distro so stick with Gentoo.. not recommended if you are not already familiar with linux or using CLI or if you don't have a lot of time to learn... but I do recommend it if you are in the above categories as for me it seems nothing works faster.....)

Danni
Danni's picture
User offline. Last seen 4 weeks 15 hours ago. Offline
Joined: 2006-07-05
Posts:

Ubuntu Studio 8.04 is probably the most recent ubuntu release with a good RT Kernel. The regular kernel in 9.04 is pretty good latency wise. 9.10 will have a descent RT kernel (testing it at the moment)... Studio64 3 beta also has a good RT kernel. But I haven't tried it.

stripes
stripes's picture
User offline. Last seen 4 years 17 weeks ago. Offline
Joined: 2009-07-09
Posts:

@Danni:
Ubuntu Studio 8.04 is too old for my hardware.. all the drivers.
The regular 9.04 is nice but Studio64 runns too.

@allank: My question is: Did I need the audio interface(daw) bevore I install ffado?
My current favorit is the Saffire LE.

And I am not a Linux beginner, but I've never even compile my own kernel :D
I use daily the CLI.
I just wondered because ffado not so mature, could be.

stuartallen1972
stuartallen1972's picture
User offline. Last seen 1 year 33 weeks ago. Offline
Joined: 2009-04-12
Posts:

Hi Stripes

I'm sorry I don't have any real information to help you, but the Saffire LE is top of my list to purchase soon so I am also investigating compatibility. I notice it is one of the few interfaces that the FFADO site lists as having "full support", so I am reasonably confident there. You don't need to have the device to install FFADO, and in fact I have seen some people recommend that you get it successfully installed before buying the hardware. FFADO RC 2 sounds like it quite stable, so I wouldn't be too concerned about the maturity of that project.

I'd love to hear move of your experiences if you do end up purchasing this device,
Stuart

allank
allank's picture
User offline. Last seen 6 weeks 2 days ago. Offline
Joined: 2006-12-07
Posts:

@ stripes...
I would not be too worried, but I tend to try and install drivers before I get the hardware as it gives me confidence that it will work.. It's also nice to be able to open up the package plug in a device and have it work straight out of the box :)

If you are familiar with CLI and linux then I have 3 suggestions

a) use svn version of ffado (it appears to be more stable.. ironically)..
b) compile your own kernel... you can make it smaller and leaner .
c) spend a bit more time and learn to install either Arch or Gentoo.. as you build these from ground up you only include what you need and end up with a purpose built machine...

Last time I used Ubuntu Studio (8.04), I noticed a significant reduction in performance compared to my Gentoo system.. (could not run as low with latency.. general responsiveness of OS seemed slower)...

The learning curve is steeper for ARCH and Gentoo but I have noticed my friends using Ubuntu or other "easy to install" distros have much more pain when upgrading time comes along... Not that I have no pain with Gentoo .. but I have little bits of pain every once in a while.. providing I regularly update... rather than major bits of pain .. In the last 6 months I have migrated all of my systems (1 server, 2 frontend mythtv boxes and my studio machine) to new hardware and all are running on the same OS (no new install e.t.c..) including different chipsets, CPU brand and type ..e.t.c....

Lastly, I wouldn't worry too much about the RT kernel anymore.. I have found kernels from 2.6.28 or above to be very good performers.. I have stopped using RT patched kernels.. and still get 2ms round trip latency on 48khz (1 ms is possible but not as stable.. xruns appear)